import React from 'react';
import type { SnapPointArg, snapPoints } from './types';
/**
 * Hook for determining the size of an element using the Resize Observer API.
 *
 * @param ref - A React ref to an element
 */
export default function useElementSizeObserver(ref: React.RefObject<Element>): {
    width: number;
    height: number;
};
export declare const useViewportHeight: () => number;
export declare function useReducedMotion(): React.MutableRefObject<boolean>;
declare type UseSnapPointsProps = {
    getSnapPoints: snapPoints;
    contentHeight: number;
} & SnapPointArg;
export declare const useSnapPoints: ({ getSnapPoints, minHeight, footerHeight, headerHeight, contentHeight, height, viewportHeight, }: UseSnapPointsProps) => {
    snapPoints: number[];
    minSnap: number;
    maxSnap: number;
    toSnapPoint: (rawY: number) => number;
};
declare type UseDimensionsProps = {
    viewportHeight: number;
    headerRef: React.RefObject<Element>;
    contentRef: React.RefObject<Element>;
    footerRef: React.RefObject<Element>;
};
export declare const useDimensions: ({ viewportHeight, headerRef, contentRef, footerRef, }: UseDimensionsProps) => {
    minHeight: number;
    contentHeight: number;
    headerHeight: number;
    footerHeight: number;
};
export declare const useInterval: (callback: any, delay: any) => void;
export declare function usePrevious<T>(value: T): T;
export {};
